(function () {
'use strict';

var menuStretch = (function ($) {
  $('body #page #header .uf_desktop_navigation').removeClass('container');
});

var boxArround = (function ($) {
  if ($('body').hasClass('hnd_box_arround')) {
    var box = '<div class="hnd_box_top"></div><div class="hnd_box_left"></div><div class="hnd_box_right"></div><div class="hnd_box_bottom"></div><div class="hnd_box_inner"></div>';
    var inner = $('#page');
    $('body').prepend(box);
    $('body .hnd_box_inner').prepend(inner);
  }
});

var logoCenter = (function ($, document) {
  var clonedMenuLogo = void 0;
  var clonedMenuLogoSticky = void 0;
  var firstMenu = void 0;
  var allMenuExceptFirst = void 0;
  if ($('.custom-logo-link')[0] || $('.custom-logo-sticky-link')[0]) {
    clonedMenuLogo = $('.custom-logo-link').addClass('.menu-clone')[0];
    clonedMenuLogoSticky = $('.custom-logo-sticky-link').addClass('.menu-clone')[0];
  }
  if ($('.uf_desktop_navigation .quadmenu-item-level-0')[0]) {
    firstMenu = $('.uf_desktop_navigation .quadmenu-item-level-0')[0];
    allMenuExceptFirst = $('.uf_desktop_navigation .quadmenu-item-level-0');
  } else if ($('.menu-item')[0]) {
    firstMenu = $('.menu-item')[0];
    allMenuExceptFirst = $('#' + firstMenu.id + ' ~ li');
  } else if ($('.page_item')[0]) {
    firstMenu = $('.page_item')[0];
    allMenuExceptFirst = $('.page_item ~ li');
  }
  var newMenu = document.createElement('li');
  newMenu.setAttribute('class', 'menu-logo-wrapper quadmenu-item align-items-center');
  newMenu.appendChild(clonedMenuLogo);
  newMenu.appendChild(clonedMenuLogoSticky);
  var totalMenuExceptFirst = allMenuExceptFirst.length;
  var middleMenuIndex = Math.floor(totalMenuExceptFirst / 2);
  if (middleMenuIndex) {
    var menuBeforeCenter = allMenuExceptFirst[middleMenuIndex - 1];
    menuBeforeCenter.parentNode.insertBefore(newMenu, menuBeforeCenter.nextSibling);
  } else {
    firstMenu.parentNode.insertBefore(newMenu, firstMenu.nextSibling);
  }
  $('#navigation').addClass('menu-item-center');
  $('#quadmenu').addClass('menu-stretch');
  $('#quadmenu_0').addClass('menu-item-center');
  $('.container.uf_desktop_navigation').removeClass('container');
  $('#header_navigation').removeClass('ml-auto');
});

var breadcrumbsOption = (function ($) {
  $('#as_customizer_breadcrumbs').on('click', function () {
    $('#hide_breadcrumbs').prop('disabled', $(this).prop('checked'));
  });
});

var autoCheckQuadmenuDev = (function ($) {
  $('#update-nav-menu').on('click', function () {
    $('#locations-quadmenu_dev').prop("checked", true);
  });
});

(function ($) {
  $(document).ready(function () {
    if ($('body').hasClass('hnd_menu_stretch')) {
      menuStretch($);
    }
    if ($('body').hasClass('hnd_box_arround')) {
      boxArround($);
    }
    if ($('body').hasClass('hnd_menu_center')) {
      logoCenter($, document);
    }
    breadcrumbsOption($);
    autoCheckQuadmenuDev($);
  });
})(jQuery);

}());
