<?php
/**
 * This file includes helper functions used throughout the plugins.
 *
 * @package HND Plugins
 */

if ( ! function_exists( 'hnd_plugin_setting' ) ) {
	/**
	 * Get hnd plugin theme mod.
	 *
	 * @param string $key           Theme Mod key.
	 * @param bool   $control_value Whether using control value or not.
	 * @param string $control_attr  Control key from $hnd_customizer_settings.
	 * @return mixed
	 */
	function hnd_plugin_setting( $key = '', $control_value = false, $control_attr = 'default' ) {
		global $hnd_customizer_settings;

		if ( isset( $key ) && ! empty( $key ) ) {
			$default_value = isset( $hnd_customizer_settings[ $key ] ) ? $hnd_customizer_settings[ $key ][ $control_attr ] : '';
			$theme_mod     = get_theme_mod( $key, $default_value );
			$setting       = $control_value ? $default_value : $theme_mod;

			return empty( $setting ) ? $default_value : $setting;
		}

		/**
		 * Get all settings.
		 */
		$settings = array();

		foreach ( $hnd_customizer_settings as $key => $setting ) {
			$default_value    = $setting[ $control_attr ];
			$theme_mod        = get_theme_mod( $key, $default_value );
			$setting          = $control_value ? $default_value : $theme_mod;
			$settings[ $key ] = empty( $setting ) ? $default_value : $setting;
		}

		return $settings;
	}
}
