<?php
/**
 * Header Image
 *
 * @package HND
 */

global $wp_locale;
?>

<div id="header-image">
	<?php if ( has_header_image() && ! is_404() ) : ?>
		<div id="header-image-bg">
			<div class="header-overlay">
				<div class="container d-flex flex-column align-items-center justify-content-center text-center site-title-wrapper">
					<?php if ( is_front_page() ) : ?>
						<div class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></div>
					<?php else : ?>
						<?php
						$queried_object = get_queried_object();
						$title          = '';

						set_query_var( 'ob', $queried_object );

						if ( is_home() && 'page' === get_option( 'show_on_front' ) ) :
							$title = get_the_title( get_option( 'page_for_posts' ) );
						elseif ( is_single() || is_page() ) :
							if ( is_single() ) {
								include HND_PLUGIN_DIR . 'templates-parts/single/categories.php';
								include HND_PLUGIN_DIR . 'templates-parts/single/meta.php';
							}

							$title = get_the_title();
						elseif ( is_category() ) :
							/* translators: %s: Category name */
							$title = sprintf( esc_html__( 'Category: %s', 'hnd' ), get_cat_name( $queried_object->term_id ) );
						elseif ( is_tag() ) :
							/* translators: %s: Tag name */
							$title = sprintf( esc_html__( 'Tag: %s', 'hnd' ), get_tag( $queried_object->term_id )->name );
						elseif ( is_search() ) :
							/* translators: %s: Search term */
							$title = sprintf( esc_html__( 'Search result for: %s', 'hnd' ), get_search_query() );
						elseif ( is_author() ) :
							/* translators: %s: Author name */
							$title = sprintf( esc_html__( '%s Posts', 'hnd' ), get_the_author() );
						elseif ( is_date() ) :
							$year  = get_query_var( 'year' );
							$month = get_query_var( 'monthnum' );

							if ( $year ) {
								/* translators: %s: Year */
								$title = sprintf( esc_html__( 'Year: %s', 'hnd' ), $year );
							}

							if ( $month ) {
								/* translators: %s: Month */
								$title = sprintf( esc_html__( 'Month: %1$s %2$s', 'hnd' ), $wp_locale->get_month( $month ), $year );
							}
						endif;
						?>

						<div class="site-title"><?php echo esc_html( $title ); ?></div>
					<?php endif; ?>
				</div>
			</div>
		</div>
	<?php else : ?>
		<div id="header-image-none">
		</div>
	<?php endif; ?>
</div>
