<?php
/**
 * Main Header Layout
 *
 * @package HND Plugin
 */

$menu_args = array(
	'theme_location' => 'main_menu',
	'menu_id'        => 'header_navigation',
	'menu_class'     => 'main-menu nav navbar-nav ml-auto',
	'container'      => false,
	'fallback_cb'    => false,
);
?>

<header id="header-ext">
	<?php require 'topbar.php'; ?>
	<div id="main-navigation" class="<?php echo get_theme_mod( 'hnd-logo-on-center', 'logo-on-center-off' ); ?>">
		<div class="container">
			<div class="hnd-navigation d-lg-block">
				<nav id="navbar" class="navbar navbar-expand-lg navbar-light d-flex justify-content-between align-items-stretch">
					<div class="navbar-wrapper">
						<div class="logo-container">
							<?php hnd_logo(); ?>
						</div>
						<div class="navigation-container">
							<div class="navigation-button-container">
								<div class="navigation-button">
									<?php if ( hnd_plugin_setting( 'hnd-addon-navigation-info-label-1' ) || hnd_plugin_setting( 'hnd-addon-navigation-info-text-1' ) ) : ?>
										<div class="navigation-button-item navigation-button-item-open">
										<?php if ( hnd_plugin_setting( 'hnd-addon-navigation-info-icon-1' ) ) : ?>
												<i class="data-ic <?php echo esc_attr( hnd_plugin_setting( 'hnd-addon-navigation-info-icon-1' ) ); ?>"></i>
											<?php endif; ?>
											<div class="text-box">
												<div class="navigation-label">
													<?php echo wp_kses_post( hnd_plugin_setting( 'hnd-addon-navigation-info-label-1' ) ); ?>
												</div>
												<div class="navigation-text">
													<?php echo wp_kses_post( hnd_plugin_setting( 'hnd-addon-navigation-info-text-1' ) ); ?>
												</div>
											</div>
										</div>
									<?php endif; ?>
									<?php if ( hnd_plugin_setting( 'hnd-addon-navigation-info-label-2' ) || hnd_plugin_setting( 'hnd-addon-navigation-info-text-2' ) ) : ?>
										<div class="navigation-button-item">
											<?php if ( hnd_plugin_setting( 'hnd-addon-navigation-info-icon-2' ) ) : ?>
												<i class="<?php echo esc_attr( hnd_plugin_setting( 'hnd-addon-navigation-info-icon-2' ) ); ?>"></i>
											<?php endif; ?>
											<div class="text-box">
												<div class="navigation-label">
													<?php echo wp_kses_post( hnd_plugin_setting( 'hnd-addon-navigation-info-label-2' ) ); ?>
												</div>
												<div class="navigation-text">
													<?php echo wp_kses_post( hnd_plugin_setting( 'hnd-addon-navigation-info-text-2' ) ); ?>
												</div>
											</div>
										</div>
									<?php endif; ?>
									<?php if ( hnd_plugin_setting( 'hnd-addon-navigation-info-label-3' ) || hnd_plugin_setting( 'hnd-addon-navigation-info-text-3' ) ) : ?>
										<div class="navigation-button-item">
											<?php if ( hnd_plugin_setting( 'hnd-addon-navigation-info-icon-3' ) ) : ?>
												<i class="<?php echo esc_attr( hnd_plugin_setting( 'hnd-addon-navigation-info-icon-3' ) ); ?>"></i>
											<?php endif; ?>
											<div class="text-box">
												<div class="navigation-label">
													<?php echo wp_kses_post( hnd_plugin_setting( 'hnd-addon-navigation-info-label-3' ) ); ?>
												</div>
												<div class="navigation-text">
													<?php echo wp_kses_post( hnd_plugin_setting( 'hnd-addon-navigation-info-text-3' ) ); ?>
												</div>
											</div>
										</div>
									<?php endif; ?>
								</div>
							</div>
							<button class="navbar-toggler" type="button" data-toggle="modal" data-target="#exampleModal">
								<span class="navbar-toggler-icon icon-bars"></span>
							</button>
							<div class="navigation-item">
								<div class="navigation-mobile">
									<?php wp_nav_menu( $menu_args ); ?>
								</div>
							</div>
						</div>
					</div>
				</nav>
			</div>
		</div>
	</div>
</header>
