<?php
/**
 * This file config of custom control for customizer.
 *
 * @package Hnd
 */

$hnd_customizer_settings['logo-height'] = array(
	'section'         => 'upload-logo',
	'type'            => 'custom',
	'custom_type'     => 'hnd-input-slider',
	'default'         => 27,
	'unit'            => 'px',
	'priority'        => 9,
	'label'           => esc_html__( 'Height', 'hnd' ),
	'description'     => esc_html__( 'Recomended logo height is 21px.' , 'hnd' ),
	'transport'       => 'postMessage',
	'input_attrs'     => array(
		'min'  => 10,
		'max'  => 250,
		'step' => 1,
	),
);

$hnd_customizer_settings['logo-sticky'] = array(
	'section'         => 'upload-logo',
	'type'            => 'image',
	'priority'        => 9,
	'default'         => '',
	'label'           => esc_html__( 'Logo Sticky', 'hnd' ),
	'transport'       => 'refresh',
);

$hnd_customizer_settings['logo-sticky-height'] = array(
	'section'         => 'upload-logo',
	'type'            => 'custom',
	'custom_type'     => 'hnd-input-slider',
	'default'         => 27,
	'unit'            => 'px',
	'priority'        => 9,
	'label'           => esc_html__( 'Logo Sticky Height', 'hnd' ),
	'description'     => esc_html__( 'Recomended logo height is 21px.' , 'hnd' ),
	'transport'       => 'postMessage',
	'input_attrs'     => array(
		'min'  => 10,
		'max'  => 250,
		'step' => 1,
	),
);

$hnd_customizer_settings['blog-layout'] = array(
	'section'         => 'layout-option',
	'type'            => 'custom',
	'custom_type'     => 'hnd-switcher',
	'default'         => 'hnd-layout-fullwidth',
	'label'           => esc_html__( 'Blog Layout', 'hnd' ),
	'transport'       => 'postMessage',
	'choices'         => array(
		'hnd-layout-fullwidth'  => esc_html__( 'Fullwidth' , 'hnd' ),
		'hnd-layout-boxed'      => esc_html__( 'Boxed' , 'hnd' ),
	),
);

$hnd_customizer_settings['style-layout'] = array(
	'section'         => 'layout-option',
	'type'            => 'custom',
	'custom_type'     => 'hnd-switcher',
	'default'         => 'hnd-classic-layout',
	'label'           => esc_html__( 'Layout Styles', 'hnd' ),
	'transport'       => 'refresh',
	'choices'         => array(
		'hnd-classic-layout'  => esc_html__( 'Classic' , 'hnd' ),
		'hnd-masonry-layout'     => esc_html__( 'Masonry' , 'hnd' ),
	),
);

$hnd_customizer_settings['sidebar-layout'] = array(
	'section'         => 'layout-option',
	'type'            => 'custom',
	'custom_type'     => 'hnd-image-selector',
	'default'         => 'sidebar-right',
	'transport'       => 'refresh',
	'label'           => esc_html__( 'Sidebar Option', 'hnd' ),
	'description'     => esc_html__( 'You can choose sidebar position on your site, is it in right, left, or no sidebar.' , 'hnd' ),
	'choices'         => array(
		'sidebar-right'  => array(
			'image' => HND_THEME_URI . '/inc/customizer/assets/images/rs.png',
			'name' => esc_html__( 'Right Sidebar' , 'hnd' ),
		),
		'sidebar-none'  => array(
			'image' => HND_THEME_URI . '/inc/customizer/assets/images/ns.png',
			'name' => esc_html__( 'None Sidebar' , 'hnd' ),
		),
		'sidebar-left'  => array(
			'image' => HND_THEME_URI . '/inc/customizer/assets/images/ls.png',
			'name' => esc_html__( 'Left Sidebar' , 'hnd' ),
		),
	),
);

$hnd_customizer_settings['parallax-layout'] = array(
	'section'         => 'layout-option',
	'type'            => 'custom',
	'custom_type'     => 'hnd-switcher',
	'default'         => 'hnd-header-parallax',
	'label'           => esc_html__( 'Header Image Scrolling', 'hnd' ),
	'transport'       => 'refresh',
	'choices'         => array(
		'hnd-header-parallax' => esc_html__( 'Parallax' , 'hnd' ),
		'hnd-header-none' => esc_html__( 'Static' , 'hnd' ),
	),
);

$hnd_customizer_settings['dropdown-layout'] = array(
	'section'         => 'layout-option',
	'type'            => 'custom',
	'custom_type'     => 'hnd-switcher',
	'default'         => 'hnd-dropdown-style',
	'label'           => esc_html__( 'Dropdown Style', 'hnd' ),
	'transport'       => 'refresh',
	'choices'         => array(
		'hnd-dropdown-style' => esc_html__( 'Selectize' , 'hnd' ),
		'hnd-dropdown-none' => esc_html__( 'Original' , 'hnd' ),
	),
);

$hnd_customizer_settings['related-post-image'] = array(
	'section'     => 'layout-option',
	'type'        => 'custom',
	'custom_type' => 'hnd-switcher',
	'label'       => esc_html__( 'Related Post Image', 'hnd' ),
	'default'     => 'related-post-image-hidden',
	'choices'     => array(
		'related-post-image-hidden'  => esc_html__( 'Hidden' , 'hnd' ),
		'related-post-image-show'    => esc_html__( 'Show' , 'hnd' ),
	),
);

$hnd_customizer_settings['breadcrumbs-option'] = array(
	'section'     => 'layout-option',
	'type'        => 'custom',
	'custom_type' => 'hnd-switcher',
	'label'       => esc_html__( 'Breadcrumbs', 'hnd' ),
	'default'     => 'breadcrumbs-show',
	'choices'     => array(
		'breadcrumbs-hidden'  => esc_html__( 'Hidden' , 'hnd' ),
		'breadcrumbs-show'    => esc_html__( 'Show' , 'hnd' ),
	),
);

$hnd_customizer_settings['sticky-layout'] = array(
	'section'         => 'menu-option',
	'type'            => 'custom',
	'custom_type'     => 'hnd-switcher',
	'default'         => 'hnd-sticky',
	'label'           => esc_html__( 'Navigation Position', 'hnd' ),
	'transport'       => 'refresh',
	'choices'         => array(
		'hnd-sticky' => esc_html__( 'Sticky' , 'hnd' ),
		'hnd-scroll' => esc_html__( 'Scroll' , 'hnd' ),
	),
);

$hnd_customizer_settings['navbar-font-color'] = array(
	'section'     => 'menu-option',
	'type'        => 'color',
	'default'     => '#333333',
	'transport'   => 'refresh',
	'label'       => esc_html__( 'Font & Background Color', 'hnd' ),
);

$hnd_customizer_settings['navbar-background-color'] = array(
	'section'     => 'menu-option',
	'type'        => 'color-alpha',
	'default'     => '#ffffff',
	'capability'  => 'edit_theme_options',
	'transport'   => 'refresh',
	'show_opacity'  => true,
	'palette'   => array(
		'rgb(150, 50, 220)',
		'rgba(50,50,50,0.8)',
		'rgba( 255, 255, 255, 0.2 )',
		'#00CC99',
	),
);

$hnd_customizer_settings['navbar-font-sticky-color'] = array(
	'section'     => 'menu-option',
	'type'        => 'color',
	'default'     => '#333333',
	'transport'   => 'refresh',
	'label'       => esc_html__( 'Font & Background Color Sticky', 'hnd' ),
);

$hnd_customizer_settings['navbar-background-sticky-color'] = array(
	'section'     => 'menu-option',
	'type'        => 'color-alpha',
	'default'     => '#ffffff',
	'capability'  => 'edit_theme_options',
	'transport'   => 'refresh',
	'show_opacity'  => true,
	'palette'   => array(
		'rgb(150, 50, 220)',
		'rgba(50,50,50,0.8)',
		'rgba( 255, 255, 255, 0.2 )',
		'#00CC99',
	),
);

$hnd_customizer_settings['navbar-bottom-border'] = array(
	'section'         => 'menu-option',
	'type'            => 'custom',
	'custom_type'     => 'hnd-switcher',
	'default'         => '1px solid #e3e3e3',
	'label'           => esc_html__( 'Bottom Border on Homepage', 'hnd' ),
	'transport'       => 'refresh',
	'choices'         => array(
		'none'              => esc_html__( 'Hide' , 'hnd' ),
		'1px solid #e3e3e3' => esc_html__( 'Show' , 'hnd' ),
	),
);
